//Breakpoints
$mobile-device: 1000px;

//Radii
$border-radius: 3px;

//Colors
$font-color: #0000008c;
$button-text-color: #000000ad;
$body-background-color: rgba(0, 0, 0, 0.02);

//Shadows
$div-shadow: 9px 10px 20px -12px rgb(0 0 0 / 15%);
$row-shadow: 9px 10px 20px -12px rgb(0 0 0 / 15%);
$button-shadow: 9px 10px 20px -12px rgb(0 0 0 / 15%);
$button-shadow-hover: 6px 9px 20px 0px rgb(0 0 0 / 17%);

$button-border: 1px solid transparent;
$button-shadow: 0 2px #00000004;

.button {
    line-height: 1;
    cursor: pointer;
    font-weight: 400;
    background: #fff;
    color: #000000d9;
    padding: 9px 21px;
    text-align: center;
    white-space: nowrap;
    border-color: #d9d9d9;
    background-image: none;
    border: $button-border;
    box-shadow: $button-shadow;
    touch-action: manipulation;
    border-radius: $border-radius;
    transition: all 0.3s cubic-bezier(0.645, 0.045, 0.355, 1);

    &:active {
        transform: scale(0.95);
    }

    &:hover {
        opacity: 0.9;
    }

    &.primary-button {
        color: #fff;
        background: #1890ff;
        border-color: #1890ff;
        text-shadow: 0 -1px 0 rgb(0 0 0 / 12%);
        box-shadow: 0 2px #0000000b;
    }

    &.secondary-button {
        border-color: #1890ff;
        color: #1890ff;
    }

    @media (max-width: $mobile-device) {
        padding: 15px 26px;
    }
}
